import 'package:flutter/material.dart';
import 'package:flutter_keyboard_visibility/flutter_keyboard_visibility.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

// 软键盘高度刷新
class RechargeKeyBoardHeightWidget extends StatefulWidget {
  final Widget? child;

  RechargeKeyBoardHeightWidget({Key? key, this.child}) : super(key: key);

  @override
  State<RechargeKeyBoardHeightWidget> createState() => RechargeKeyBoardHeightWidgetState();
}

class RechargeKeyBoardHeightWidgetState extends State<RechargeKeyBoardHeightWidget> {
  @override
  Widget build(BuildContext context) {
    return KeyboardVisibilityBuilder(builder: (context, isKeyboardVisible) {
      double height = isKeyboardVisible
          ? MediaQuery.of(context).viewInsets.bottom -
              ScreenUtil().bottomBarHeight
          : 0;
      if (height < 0) {
        height = 0;
      }
      return SizedBox(
        height: widget.child != null && height == 0 ? null : height,
        child: widget.child,
      );
    });
  }
}
